vct.h File Reference
Digital TV table parsing

Provides the descriptors for TVCT and CVCT tables. More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/atsc_header.h>`

Go to the source code of this file.

## Data Structures

struct | atsc_table_vct_channel
| ATSC VCT channel table (covers both CVCT and TVCT). More...
struct | atsc_table_vct
| ATSC VCT table (covers both CVCT and TVCT). More...
union | atsc_table_vct_descriptor_length
| ATSC VCT descriptor length. More...

## Macros

#define | ATSC_TABLE_TVCT
| TVCT table ID.
#define | ATSC_TABLE_CVCT
| CVCT table ID.
#define | ATSC_TABLE_VCT_PID
| Program ID with the VCT tables on it.
#define | atsc_vct_channel_foreach(_channel, _vct)
| Macro used to find channels on a VCT table.

## Functions

ssize_t | atsc_table_vct_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct atsc_table_vct **table)
| Initializes and parses VCT table.
void | atsc_table_vct_free (struct atsc_table_vct *table)
| Frees all data allocated by the VCT table parser.
void | atsc_table_vct_print (struct dvb_v5_fe_parms *parms, struct atsc_table_vct *table)
| Prints the content of the VCT table.

## Detailed Description

Provides the descriptors for TVCT and CVCT tables.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ATSC A/65:2009

See also
  http://www.etherguidesystems.com/help/sdos/atsc/syntax/tablesections/TVCT.aspx
  http://www.etherguidesystems.com/help/sdos/atsc/syntax/tablesections/CVCT.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file vct.h.